apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: etcd-0.0.0-c0b08f32
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: etcd
      name: etcd
      podspec:
        containers:
          - name: etcd
      provides:
        - exposed: false
          name: etcd
          network: direct
          servicespec:
            ports:
              - name: clients
                port: 2379
                protocol: TCP
                targetPort: 2379
              - name: peers
                port: 2380
                protocol: TCP
                targetPort: 2380
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.7.1
  name: etcd
  settings:
    - name: environment
      schema:
        default: etcd_prod
  version: 0.0.0-c0b08f32
